<template>
    <div>
        <router-link to="/goods-receipt">Надходження товару </router-link>
    <router-link to="/goods-issue">Відправка товару </router-link>
    
      <h2>Goods List</h2>
      <label>Filter by Product Name:
        <input v-model="filter" @input="filterGoods">
      </label>
      <ul>
        <li v-for="(goodsItem, index) in filteredGoods" :key="index">
          {{ goodsItem.name }} - Quantity: {{ goodsItem.quantity }} {{ goodsItem.goodtype }}
          <button @click="deleteGoods(index)">Delete</button>
        </li>
      </ul>
    </div>
  </template>
  
  <script>
  export default {
    data() {
      return {
        filter: ''
      };
    },
    computed: {
      filteredGoods() {
        return this.$store.state.goods.filter(goodsItem =>
          goodsItem.name.toLowerCase().includes(this.filter.toLowerCase())
        );
      }
    },
    methods: {
      filterGoods() {
        
      },
      deleteGoods(index) {
        this.$store.dispatch('deleteGoods', index);
      }
    }
  };
  </script>
  